dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");


location={}
location["stefani"] = true
location["stefani"] = {}
location["stefani"]["id"] = 9
location["stefani"]["sub_id"] = 0


function LoadingLevel(param)
    SetAlfaValue(501,0)
	SetAlfaValue(503,0)
	SLevel=param;
return;end;

function LevelComplete()
	flags.levelcomplete=true;
	DeleteElement("gr",33);
	DeleteElement("gr",36);
	DeleteElement("gr",40);
	DeleteElement("gr",43);
	DarkScreen(true);
	ShowMenu(false);
end;

function StartLevel()
	AddParticleToObject(9,"Panno",0,0);
	AddParticleToObject(44,"Diary",0,0);
	AddParticleToObject(46,"Paper",0,0);	
	MoveEmiter("Panno",936,249);
	MoveEmiter("Diary",925,474);
	MoveEmiter("Paper",469,451);	
	if not flags.minicomplete then
		StartEmiter("Panno")
	end
	if flags.minicomplete and not flags.paper then
		StartEmiter("Paper")
	end	
	if not flags.minicomplete1 then
		StartEmiter("Diary")
	end;
end;


flags={};
flags["whole_darkness"]=false;
flags["minicomplete"]=false;
flags["minicomplete1"]=false;
flags["all"]=false;

flags["powder"]=false;
flags["brush"]=false;
flags["needle"]=false;
flags["filament"]=false;
flags["comics"]=false
flags["minitext1"]=false;
flags["light"]=false;
flags["paper"]=false;
flags["levelcomplete"]=false;
flags["HintCount"]=5;
add_tree_leaf("Root","stefani",9,0);-- Добавляет лист в дерево 

SetCurrentRM("menu");
	addstaticobjecttogame(877777777,"menubuttons",63,622,"",60,0,61,61);
	AddSheet(1002,"re","red_b",63,622,61,61,"",128,640,650,115,15,5,7,7,0,59,877777777);
SetCurrentRM("main");
ShowMenu(false);
	loadresource("data\\photoaparat.png","photoaparat",112121212);
	AddImgToBook("photoaparat",838,580);
	AddHints()

dofile("./data/9/0/res.lua");


setcurentleaf("stefani",9,0);
SwitchToSheet("re");

DarkScreen(true);
speciale_action(2,503,true);
speciale_action(4,503)

playfile(".\\sound\\Music_1.ogg",true,true);